import { AxiosRequestConfig, AxiosInstance } from "axios";
import { HttpAxiosConfig, InterceptorsType } from "./types";
export declare function useGet<T = any>(url: string, config?: AxiosRequestConfig): Promise<T>;
export declare function usePost<T = any>(url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
export declare function usePostForm<T = any>(url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
export * from './types';
export * from './defineConfig';
export default class AxiosHttp {
    private readonly axiosInstance;
    private _requestInterceptor;
    private _responseInterceptor;
    constructor(httpAxiosConfig: HttpAxiosConfig);
    initInterceptors(interceptorsConfig: HttpAxiosConfig["interceptors"]): void;
    ejectInterceptors(type: InterceptorsType): void;
    get<T = any>(url: string, config?: AxiosRequestConfig): Promise<T>;
    post<T = any>(url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
    postForm<T = any>(url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
    download(url: string, params: Record<string, any>): void;
    upload(url: string, file: File, fieldName?: string, config?: AxiosRequestConfig): Promise<any>;
    get getInstance(): AxiosInstance;
}
